aboutsummaryrefslogtreecommitdiff
path: root/boca-1.5.0/doc/problemexamples/bits/tests
diff options
context:
space:
mode:
authorcassiopc <cassiopc@gmail.com>2012-08-06 15:27:18 +0000
committercassiopc <cassiopc@gmail.com>2012-08-06 15:27:18 +0000
commitd75956684f9599b8daf705b11d67c75186ea7e3f (patch)
treeb22f943e9ab3c6849898e3cf5e9659a7ed24b359 /boca-1.5.0/doc/problemexamples/bits/tests
parent2c2663e03f56149ad4c909858b93fb3c1ea9f271 (diff)
downloadboca-d75956684f9599b8daf705b11d67c75186ea7e3f.tar.gz
boca-d75956684f9599b8daf705b11d67c75186ea7e3f.zip
moving problem examples to better places and fixing a couple of typos in the problem's interface
Diffstat (limited to 'boca-1.5.0/doc/problemexamples/bits/tests')
-rwxr-xr-xboca-1.5.0/doc/problemexamples/bits/tests/c24
1 files changed, 24 insertions, 0 deletions
diff --git a/boca-1.5.0/doc/problemexamples/bits/tests/c b/boca-1.5.0/doc/problemexamples/bits/tests/c
new file mode 100755
index 0000000..1a0ca95
--- /dev/null
+++ b/boca-1.5.0/doc/problemexamples/bits/tests/c
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+cat > test.c <<EOF
+int main() {
+ char s[100];
+ scanf("%s", s);
+ printf("%s\n",s);
+ return 0;
+}
+EOF
+cat > test.in <<EOF
+inputdata
+EOF
+
+TL=2
+REP=10
+../compile/c test.c test.exe TL
+../run/c test.exe test.in TL REP
+output=`cat stdout0`
+if [ "$output" != "inputdata" ]; then
+ echo "ERROR"
+ exit 1
+fi
+exit 0